dnl This is the newlib/libc/machine configure.in file.
dnl Process this file with autoconf to produce a configure script.

AC_PREREQ(2.59)
AC_INIT([newlib],[NEWLIB_VERSION])
AC_CONFIG_SRCDIR([d10v])

dnl Can't be done in NEWLIB_CONFIGURE because that confuses automake. 
AC_CONFIG_AUX_DIR(../../..)

NEWLIB_CONFIGURE(../..)

dnl We have to add the following lines because automake detects the
dnl references to libtool libraries from aclocal and tries to verify that
dnl AM_PROG_LIBTOOL is being used.  This must be added after
dnl the call to NEWLIB_CONFIGURE.
_LT_DECL_SED
_LT_PROG_ECHO_BACKSLASH
if test "${use_libtool}" = "yes"; then
AC_LIBTOOL_WIN32_DLL
AM_PROG_LIBTOOL
fi

if test -n "${machine_dir}"; then
  case ${machine_dir} in
	a29k) AC_CONFIG_SUBDIRS(a29k) ;;
	arm) AC_CONFIG_SUBDIRS(arm) ;;
	bfin) AC_CONFIG_SUBDIRS(bfin) ;;
	cr16) AC_CONFIG_SUBDIRS(cr16) ;;
	cris) AC_CONFIG_SUBDIRS(cris) ;;
	crx) AC_CONFIG_SUBDIRS(crx) ;;
	d10v) AC_CONFIG_SUBDIRS(d10v) ;;
	d30v) AC_CONFIG_SUBDIRS(d30v) ;;
	fr30) AC_CONFIG_SUBDIRS(fr30) ;;
	frv) AC_CONFIG_SUBDIRS(frv) ;;
	h8300) AC_CONFIG_SUBDIRS(h8300) ;;
	h8500) AC_CONFIG_SUBDIRS(h8500) ;;
	hppa) AC_CONFIG_SUBDIRS(hppa) ;;
	i386) AC_CONFIG_SUBDIRS(i386) ;;
	i960) AC_CONFIG_SUBDIRS(i960) ;;
	iq2000) AC_CONFIG_SUBDIRS(iq2000) ;;
	lm32) AC_CONFIG_SUBDIRS(lm32) ;;
	m32c) AC_CONFIG_SUBDIRS(m32c) ;;
	m32r) AC_CONFIG_SUBDIRS(m32r) ;;
	m68hc11) AC_CONFIG_SUBDIRS(m68hc11) ;;
	m68k) AC_CONFIG_SUBDIRS(m68k) ;;
	m88k) AC_CONFIG_SUBDIRS(m88k) ;;
	mep ) AC_CONFIG_SUBDIRS(mep) ;;
	microblaze ) AC_CONFIG_SUBDIRS(microblaze) ;;
	mips) AC_CONFIG_SUBDIRS(mips) ;;
	mn10200) AC_CONFIG_SUBDIRS(mn10200) ;;
	mn10300) AC_CONFIG_SUBDIRS(mn10300) ;;
	moxie) AC_CONFIG_SUBDIRS(moxie) ;;
	mt) AC_CONFIG_SUBDIRS(mt) ;;
	necv70) AC_CONFIG_SUBDIRS(necv70) ;;
	powerpc) AC_CONFIG_SUBDIRS(powerpc) ;;
	rl78) AC_CONFIG_SUBDIRS(rl78) ;;
	rx) AC_CONFIG_SUBDIRS(rx) ;;
	sh) AC_CONFIG_SUBDIRS(sh) ;;
	sparc) AC_CONFIG_SUBDIRS(sparc) ;;
	spu) AC_CONFIG_SUBDIRS(spu) ;;
	tic4x) AC_CONFIG_SUBDIRS(tic4x) ;;
	tic6x) AC_CONFIG_SUBDIRS(tic6x) ;;
	tic80) AC_CONFIG_SUBDIRS(tic80) ;;
        ubicom32) AC_CONFIG_SUBDIRS(ubicom32) ;;
	v850) AC_CONFIG_SUBDIRS(v850) ;;
	w65) AC_CONFIG_SUBDIRS(w65) ;;
	x86_64) AC_CONFIG_SUBDIRS(x86_64) ;;
	xc16x) AC_CONFIG_SUBDIRS(xc16x) ;;
	xstormy16) AC_CONFIG_SUBDIRS(xstormy16) ;;
	z8k) AC_CONFIG_SUBDIRS(z8k) ;;
  esac;
fi

AM_CONDITIONAL(HAVE_MACHINE_DIR, test x${machine_dir} != x)

AC_CONFIG_FILES([Makefile])
AC_OUTPUT
